SizeLimitExceededException (Java SE 25 & JDK 25)
Description: declaration: module: java.naming, package: javax.naming, class: SizeLimitExceededException
Keywords: javax.naming.SizeLimitExceededException class

# Class SizeLimitExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.LimitExceededException
javax.naming.SizeLimitExceededException

All Implemented Interfaces:
  `Serializable`

public class SizeLimitExceededException extends LimitExceededException
This exception is thrown when a method produces a result that exceeds a size-related limit. This can happen, for example, if the result contains more objects than the user requested, or when the size of the result exceeds some implementation-specific limit.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SizeLimitExceededException()`
  Constructs a new instance of SizeLimitExceededException.
  `SizeLimitExceededException(String explanation)`
  Constructs a new instance of SizeLimitExceededException using an explanation.

- ## Method Summary

  ### Methods declared in class NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SizeLimitExceededException

    public SizeLimitExceededException()
    Constructs a new instance of SizeLimitExceededException. All fields default to null.

  - ### SizeLimitExceededException

    public SizeLimitExceededException(String explanation)
    Constructs a new instance of SizeLimitExceededException using an explanation. All other fields default to null.
    Parameters:
      `explanation` - Possibly null detail about this exception.